﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Reflection;
using System.Windows.Media;

namespace Grid_ColorPicker
{
    public class ColorConverter : IValueConverter
    {
        public static Dictionary<string, Color> ColorDictionary 
        {
            get 
            {
                Dictionary<string, Color> temp = new Dictionary<string, Color>();
                foreach (PropertyInfo p in typeof(Color).GetProperties())
                {
                    Color c = new Color();

                    if (p.PropertyType == typeof(Color))
                    {
                        temp.Add(p.Name, (Color)p.GetValue(c, null));
                    }
                }
                return temp;
            }
        }

        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value!=null)
            {
                if (ColorDictionary.ContainsKey(value.ToString()))
                {
                    return ColorDictionary[value.ToString()];
                }
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }

        #endregion
    }
}
